#include "stdio.h"
#include "bfinter.h"

#define MEMSIZE 16000

int main(int argc, char **argv) { 
    char *output=(char*)malloc(MEMSIZE+1);
    int status;
    int written;

    if (argc<2) {                                                              
        printf("syntax %s Brainfucksource\n",argv[0]);                                    
        exit(1);                                                                
    } 
    
    if (argc==3) {
        status=executebf(argv[1],strlen(argv[1]),argv[2],strlen(argv[2]),output,&written,MEMSIZE,5000,BF_UNLIMITED); 
    } else {
        status=executebf(argv[1],strlen(argv[1]),NULL,0,output,&written,MEMSIZE,5000,BF_UNLIMITED); 
    }

    if (status==0) {
        output[written]=0;
        printf("%s\n",output);
    } else {
        printf("Fehler %d bei der Auswertung\n",status);
    }

    return status;
}

    
